API documentation | API docs for agents | OpenAPI 3.1

POST /api/v1/loads/{loadId}/dispatches/{dispatchId}/locations

ark.add_manual_dispatch_location

Adds a manual dispatch location history entry for a visible load dispatch and can send the configured location-update notification in the same workflow.

Availability
Expanded preview
Scopes
loads:write
ARK permissions
one of: canEditLoadone of: canAssignLoads
Team visibility
Required and enforced
Idempotency-Key
Required for this write
Approval
No MCP approval on REST API-token calls
Rate limit
API credential and organization budgets

Parameters

loadIdpathstringrequired
format: uuid
dispatchIdpathstringrequired
format: uuid
Idempotency-Keyheaderstringrequired
Required for external write operations. Reuse the same key only for exact retries of the same request body.
min length: 1; max length: 200

Request body

citystringrequired

min length: 1; max length: 200

statestringrequired

min length: 1; max length: 6

countrystring

one of: USA, CAN, MEX; default: "USA"

latitudenumber | null

min: -90; max: 90

longitudenumber | null

min: -180; max: 180

timezoneIdstring | null

max length: 100

locationDateTimestring

format: date-time

sendNotificationboolean

default: false

Example request

Shell
curl -X POST 'https://arktms.com/api/v1/loads/<loadId>/dispatches/<dispatchId>/locations' \
  -H "Authorization: Bearer $ARK_API_TOKEN" \
  -H "Idempotency-Key: <unique-key>" \
  -H "Content-Type: application/json" \
  -d '{
  "city": "<city>",
  "state": "<state>"
}'

Success response

Added manual dispatch location

objectstringrequired
okbooleanrequired
api_versionstringrequired
request_idstringrequired
dataobjectrequired
data.loadIdstringrequired

format: uuid

data.notificationSentbooleanrequired
data.sideEffectErrorstring | nullrequired

Errors

HTTP 400
Invalid request
HTTP 401
Authentication required
HTTP 403
Permission, scope, team, or entitlement denied
HTTP 404
Resource not found
HTTP 409
Idempotency conflict or in-progress retry
HTTP 502
External provider or worker queue could not be reached